Support » Ohjeet ja vianmääritys » Kirjautuminen ja evästeet

  • Resolved jlawp

    (@jlawp)


    Tuolla alempana on useampikin kirjoitus, joissa ihmetellään kirjautumisen epäonnistumista ja sen yhteydessä tulevaa herjaa evästeistä. Tämä on myös ongelmana minulla.

    Mitä tekemistä evästeillä on WordPressin kanssa?

    Asiantuntijoilta ei ole tullut asiaan yhtäkään kommenttia. Eikö asiantuntijoilla ole mitään ajatuksia tuon virheen syystä ja mahdollisesta korjaustempuista. Lienee kuitenkin syynä jokin bugi WordPressissä. Onko ehkä viivytelty liikaa versiopäivityksessä? Erikoista on että aiemmin toiminut sivu yhtäkkiä antaa ilman mitään näkyvää aihetta tuon virheen. Mitään muutoksia ei ole tehty ja yhtäkkiä ilmestyy tuo virhe.

Esillä 15 vastausta, 16 - 30 (kaikkiaan 48)
  • Nyt asensin wp 3.81 enkkuversion ja nyt homma toimii. Nyt siis pääsin kirjautumaan. Ja kielen asennuskin onnistui kivuttomasti jälkikäteen. Nyt sitten vain opiskelemaan.

    Thread Starter jlawp

    (@jlawp)

    Niin tuo WP 3.8.1 Onnistuu minullakin. Sitä aiemmat versiot eivät.

    Minulla on nuo edellä mainitut ongelmat kirjautumisessa myös, vaikka olen asentanut WPn omalla koneella olevalle Wampserverille. Olen asentanut kolmeen eri hakemistoon version 3.8.1 ja kaikilla on omat tietokannat ja samat kirjautumisongelmat. Jostain luin, että ne voisivat käyttää sammoja tietokantoja, mutta tein kuitenkin omat tietokannat. Ennen kuin olin asentanut useamman WPn kirjautuminen toimi, mutta sitten muiden asennuksen jälkeen tuli tuo virheilmoitus ja kaikki selaimet on kokeiltu moneen kertaan välimuistien ja evästeiden suhteen

    Lisäyksenä edelliseen vielä, että wampserverillä on asennettuna joomlalla tehtyjä sivustoja 6 kpl, joissa ei ole tällaisia kirjautumisongelmia ja jos on ollut, niin ne ovat olleet itse tehtyjä virheitä.

    – ”…Ennen kuin olin asentanut useamman WPn kirjautuminen toimi…”

    Ensin tulee mieleen, että oletko hakenut jokaiseen asentamaasi WP:hen erilaiset ”Authentication Unique Keys and Salts”? Ne laitetaan wp-config.php tiedostoon (rivit 38-56) ja uudet, uniikit saa tästä osoitteesta: https://api.wordpress.org/secret-key/1.1/salt/

    Tämä asia kannattaa tarkastaa ensiksi.

    Thread Starter jlawp

    (@jlawp)

    Mistä lähtien tuollainen on pitänyt tehdä? Olikos se jo kolme vuotta sitten kun sivuni tein eikä tuollaisesta ole ollut mitään tietoa ja hyvin ovat toimineet ennen versiota 3.8.1.

    Thread Starter jlawp

    (@jlawp)

    No kokeilin kuitenkin mutta ei mikään muuttunut.

    Kun on vai yksi sivusto, silloin niiden vaihdolla ei ole merkitystä. Kun on useita sivustoja, on mahdollisuuksien rajoissa, että selain sekoittaa eri sivustot. Jos ongelmia on, silloin yksi temppu on niiden vaihtaminen – se näet nollaa sisäänkirjautumiset sivustolle ja joutuu kirjautumaan uudelleen.

    Tulipahan kokeiltua – Ikävää, että ei auttanut (:

    Thread Starter jlawp

    (@jlawp)

    Ei auttanut, ei. Ilmeisesti joka kerta kun siirrytään ylläpidon puolelle, käydään WordPressin sivuilta tarkistamassa että onko tullut uusia versioita. Tällöin myös ilmeisesti ovat evästeet mukana. Koska kirjautumisen jälkeen mennään tämä tarkistamaan niin olisikohan nyt niin että tuossa versiohaussa on jokin bugi. Onkohan tätä tutkittu? Minulla kun on kymmenkunta eri WP-sovellusta eri sivuina niin ainoastaan se sivu mille ei uutta versiota löydy koska se on versiota 3.8.1, toimii oikein. Muut sivut ovat vanhempaa ja toimivat väärin.

    Tein nyt uuden sivun versiolla 3.5. Kopsasin siihen yhden evästevirheen tuottavan sivun pluginit ja teeman ja annoin tietokannan nimen ja salasanan myös siltä. Sivu aukesi oikein mutta siitäkin tulee tuo evästevirhe.

    Ehkä olet jonkun bugin jäljillä 🙂
    Pari viikkoa sitten päivitin kymmeniä WP asennuksia versioon 3.8.1, jotkut olivat jopa 2.8 versioita. Yhden sivuston kohdalla sain tuon eväste virheen. Tuli kiroiltua, mutta jotenkin pääsin sen ohi nopeasti – en vain enää muista miten.
    Jos 3.8.1 toimii kunnolla, niin helpointa olisi varmaan päivittää kaikki sivustot tuohon uusimpaan versioon ja ohittaa näin virhe.

    Thread Starter jlawp

    (@jlawp)

    Kun olisikin niin mutta ilmeisesti ei ole. Loin uuden sivun versiolla 3.8.1. Muutin tietokannan ja salasanan samoiksi yhden ongelmasivun kanssa. Tietokannasta löysin otions-taulusta viittauksen sivuun ja muutin myös sen juuri luomakseni sivuksi. Sivulle meno toimii ok ja kirjautumiseen meno toimii ok mutta sama virhe tulee.

    Mutta on se harmi että ainoa henkilö joka on tuosta virheestä päässyt ohi on sen ohipääsykeinon unohtanut.

    Minä tein jopa yhden asennuksen 3.9 betaversiolla mutta sitä nyt en vielä ole tutkinut pohjia myöten.

    Koska halusin tuolloin vain päivittää 3.8.1 versioon ja työllä oli kiire, niin olen todennäköisesti tehnyt näitä askeleita:
    – Kun hallinnasta ei päässyt päivittämään WP:tä, olen siirtänyt ftp:llä WP 3.8.1 version palvelimelle.
    – Tarkastanut, että wp-config tiedostossa kaikki ok ja vaihtanut ”Authentication Unique Keys and Salts”.
    – Koska hallinnasta ei päässyt tyhjentämään välimuistia, olen ftp:llä poistanut välimuistiin liittyvät kansiot ja tiedostot.
    – Tarkastanut .htaccess tiedoston sisällön ja ehkä kokeillut sen poistamista.
    – Tyhjentänyt selaimen välimuisti/evästeet useaan kertaan.

    (Nuo olivat asioita joita jouduin tekemään ongelmien ilmaantuessa. Mutta en ole varma liittyivätkö nuo kaikki eväste tapaukseen vai muihin ongelmiin joita tuli eteen. En muista, että olisi tarvinnut avata tietokantaa minkään kohdalla.)

    Thread Starter jlawp

    (@jlawp)

    Nuo kaikki olen minäkin tehnyt kun siirsin ftp:llä 3.8.1:n ongelma sivun päälle. Nyt viimeksi tein kokonaan uuden 3.8.1-sovelluksen ja pistin sen config:iin tuon aiemman järjestelmän tietokantatiedon. Lisäksi hain nuo Key and Salts-tiedot siihen. Evästeet ja välimuistin tyhjensin. Tietokantaan piti uuden järjestelmän takia options-tauluun tehdä muutos eli siteurlin arvoksi piti laittaa tämän uuden järjestelmän osoite, muutoin kirjautuminen olisi mennyt vanhaan järjestelmään.

    Eipä vaan mikään tunnu auttavan.

    Ovatko 3.9-version tekijät tästä ongelmasta tietoisia?

    Thread Starter jlawp

    (@jlawp)

    Nyt sain sivut kuntoon. Löysin WP3.9beta-version, jonka latasin palvelimelle. Siirsin siihen ongelmasivun plugin-, teema- ja tietokantatiedot. Poistin ongelmasivun ja nimesin tuon siksi ja sivu toimi ok. Tämä sama ei onnistunut versiolla 3.8.1 eikä myöskään jos latasin tuon betaversion vanhan päälle.

    Täällä samanlaisia ongelmia. Pitkästä aikaa, parin kuukauden jälkeen ajattelin lisätä taas vanhoja jorinoita ja kirjautuminen ei onnistu millään. Teen juuri manuaali päivitystä ftp:llä niin nähdään auttaako se. Näitä muita olen jo kokeillut.

    Huomasin että jlawpin kanssa yhteneväinen palveluntarjoaja meillä, onko sillä sitten mitään tekoa.

Esillä 15 vastausta, 16 - 30 (kaikkiaan 48)
  • The topic ‘Kirjautuminen ja evästeet’ is closed to new replies.